use wasm_bindgen::prelude::wasm_bindgen;

#[wasm_bindgen(module = "/js/bindings.js")]
extern "C" {
	pub fn orientation_lock(orientation: String);
	pub fn orientation_unlock();
	pub fn make_selector_fullscreen(selector: String);
	pub fn toggle_selector_fullscreen(selector: String) -> bool;
	pub fn exit_fullscreen();
	pub fn bind_selector_touch_events(selector: String);
	pub fn teardown_selector_touch_events(selector: String);
	pub fn take_touch_events() -> String;
	pub fn is_fullscreen() -> bool;
	pub fn is_touch_device() -> bool;
}
